package com.njcn.harmonic.pojo.po.upload;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import com.njcn.db.bo.BaseEntity;
import java.io.Serializable;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 公共连接点母线电能质量统计
 * </p>
 *
 * @author xy
 * @since 2024-08-15
 */

@TableName("r_upload_comm_point_bus")
public class RUploadCommPointBus implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * uuid
     */
    private String objId;


    /**
     * 统计类型
     */
    @MppMultiId
    private String statisticalType;

    /**
     * 统计时间
     */
    @MppMultiId
    private String statisticalDate;

    /**
     * 母线id
     */
    @MppMultiId
    private String busId;

    /**
     * 母线名称
     */
    private String busName;

    /**
     * 所属省份,取ISC平台上的组织id
     */
    private String provinceOrg;

    private String provinceOrgName;

    /**
     * 所属地市,取ISC平台上的组织id
     */
    private String cityOrg;

    private String cityOrgName;

    /**
     * 运维单位
     */
    private String maintOrg;

    private String maintOrgName;

    /**
     * 站房类型
     */
    private String stationType;

    /**
     * 所属电站
     */
    private String stationId;

    /**
     * 所属电站名称
     */
    private String stationName;

    private String stationVoltageLevel;



    /**
     * 母线电压等级
     */
    private String busVoltageLevel;



    /**
     * 总超标天数
     */
    private Integer ovDays;

    /**
     * 电压有效值-平均值
     */
    private Double avgVrms;

    /**
     * 电压有效值-95%概率大值
     */
    private Double gVrms;

    /**
     * 谐波电压-超标天数
     */
    private Integer harmVOvDays;

    /**
     * 谐波电压-超标时长(分钟)
     */
    private Integer harmVOvDuration;

    /**
     * 三相不平衡-超标天数
     */
    private Integer vunbanOvDays;

    /**
     * 三相不平衡-超标时长(分钟)
     */
    private Integer vunbanOvDuration;

    /**
     * 长时闪变-超标天数
     */
    private Integer pltOvDays;

    /**
     * 长时闪变-超标时长(分钟)
     */
    private Integer pltOvDuration;

    /**
     * 最优监测点编号
     */
    private String monitorId;

    /**
     * 关联监测点集合数
     */
    private String monitorIds;

    /**
     * 数据来源
     */
    private String dataSource;

    @TableField(exist = false)
    private String cnMonitorId;

    private Integer uploadStatus;


    public Integer getUploadStatus() {
        return uploadStatus;
    }

    public void setUploadStatus(Integer uploadStatus) {
        this.uploadStatus = uploadStatus;
    }

    public String getObjId() {
        return objId;
    }

    public void setObjId(String objId) {
        this.objId = objId;
    }

    public String getStatisticalType() {
        return statisticalType;
    }

    public void setStatisticalType(String statisticalType) {
        this.statisticalType = statisticalType;
    }

    public String getStatisticalDate() {
        return statisticalDate;
    }

    public void setStatisticalDate(String statisticalDate) {
        this.statisticalDate = statisticalDate;
    }

    public String getBusId() {
        return busId;
    }

    public void setBusId(String busId) {
        this.busId = busId;
    }

    public String getBusName() {
        return busName;
    }

    public void setBusName(String busName) {
        this.busName = busName;
    }

    public String getProvinceOrg() {
        return provinceOrg;
    }

    public void setProvinceOrg(String provinceOrg) {
        this.provinceOrg = provinceOrg;
    }

    public String getProvinceOrgName() {
        return provinceOrgName;
    }

    public void setProvinceOrgName(String provinceOrgName) {
        this.provinceOrgName = provinceOrgName;
    }

    public String getCityOrg() {
        return cityOrg;
    }

    public void setCityOrg(String cityOrg) {
        this.cityOrg = cityOrg;
    }

    public String getCityOrgName() {
        return cityOrgName;
    }

    public void setCityOrgName(String cityOrgName) {
        this.cityOrgName = cityOrgName;
    }

    public String getMaintOrg() {
        return maintOrg;
    }

    public void setMaintOrg(String maintOrg) {
        this.maintOrg = maintOrg;
    }

    public String getMaintOrgName() {
        return maintOrgName;
    }

    public void setMaintOrgName(String maintOrgName) {
        this.maintOrgName = maintOrgName;
    }

    public String getStationType() {
        return stationType;
    }

    public void setStationType(String stationType) {
        this.stationType = stationType;
    }

    public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public String getStationVoltageLevel() {
        return stationVoltageLevel;
    }

    public void setStationVoltageLevel(String stationVoltageLevel) {
        this.stationVoltageLevel = stationVoltageLevel;
    }

    public String getBusVoltageLevel() {
        return busVoltageLevel;
    }

    public void setBusVoltageLevel(String busVoltageLevel) {
        this.busVoltageLevel = busVoltageLevel;
    }

    public Integer getOvDays() {
        return ovDays;
    }

    public void setOvDays(Integer ovDays) {
        this.ovDays = ovDays;
    }

    public Double getAvgVrms() {
        return avgVrms;
    }

    public void setAvgVrms(Double avgVrms) {
        this.avgVrms = avgVrms;
    }

    public Double getgVrms() {
        return gVrms;
    }

    public void setgVrms(Double gVrms) {
        this.gVrms = gVrms;
    }

    public Integer getHarmVOvDays() {
        return harmVOvDays;
    }

    public void setHarmVOvDays(Integer harmVOvDays) {
        this.harmVOvDays = harmVOvDays;
    }

    public Integer getHarmVOvDuration() {
        return harmVOvDuration;
    }

    public void setHarmVOvDuration(Integer harmVOvDuration) {
        this.harmVOvDuration = harmVOvDuration;
    }

    public Integer getVunbanOvDays() {
        return vunbanOvDays;
    }

    public void setVunbanOvDays(Integer vunbanOvDays) {
        this.vunbanOvDays = vunbanOvDays;
    }

    public Integer getVunbanOvDuration() {
        return vunbanOvDuration;
    }

    public void setVunbanOvDuration(Integer vunbanOvDuration) {
        this.vunbanOvDuration = vunbanOvDuration;
    }

    public Integer getPltOvDays() {
        return pltOvDays;
    }

    public void setPltOvDays(Integer pltOvDays) {
        this.pltOvDays = pltOvDays;
    }

    public Integer getPltOvDuration() {
        return pltOvDuration;
    }

    public void setPltOvDuration(Integer pltOvDuration) {
        this.pltOvDuration = pltOvDuration;
    }

    public String getMonitorId() {
        return monitorId;
    }

    public void setMonitorId(String monitorId) {
        this.monitorId = monitorId;
    }

    public String getMonitorIds() {
        return monitorIds;
    }

    public void setMonitorIds(String monitorIds) {
        this.monitorIds = monitorIds;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public String getCnMonitorId() {
        return cnMonitorId;
    }

    public void setCnMonitorId(String cnMonitorId) {
        this.cnMonitorId = cnMonitorId;
    }
}
